QGIS Application - Feature request #10273

Add support for multi-line strings in the composer’ attribute table item

2014-05-14 11:48 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18705
Description

Right now, the composer's attribute table doesn't take into account string cells that contains multiple lines (see attached screenshot). It

would be very useful if it did.

Couple of scenarios that would benefit from this:

- Displaying a long description string by using the wordwrap() function in an expression-based column
- Displaying a string-based column that's meant to be a list (as with the attached screenshot, names of owners, which is broken down into

multiple lines)
- etc.

Associated revisions

Revision 372534eb - 2015-08-18 09:16 PM - Nyall Dawson
[composer] Add proper handling of multiline text in attribute tables
Previously multi-line text would overflow onto neighbouring cells.
Now rows will be expanded to fit required height of text.

Fix #10273.

Sponsored by City of Uster

History

#1 - 2014-05-15 12:38 AM - Mathieu Pellerin - nIRV

Vertical alignment of cell content should be configurable too.

#2 - 2014-05-15 01:06 AM - Nyall Dawson

Relates to #8006.

#3 - 2015-08-18 01:35 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"372534eb8956¢c9725a378923a4e91697d20bffee".
